version: '3'

services:

  woo:
    image: wordpress-php-${PHP}:latest
    restart: always
    volumes:
      - ../woo:/var/www/html:rw
    environment:
      PHP_ERROR_REPORTING: E_ALL
      VIRTUAL_HOST: woo${USER_SUFFIX}.octolize.dev
      DB_HOST: db
    command: /usr/local/bin/run

  wptests:
    image: wordpress-php-${PHP}:latest
    restart: always
    volumes:
      - ../wptests:/var/www/html:rw,cached
    environment:
      PHP_ERROR_REPORTING: E_ALL
      VIRTUAL_HOST: wptests${USER_SUFFIX}.lh,wptests${USER_SUFFIX}.octolize.dev
      DB_HOST: db
    command: /usr/local/bin/run

networks:
  default:
    external:
      name: nginx-proxy
